﻿@using eBanking.ViewModels
@model UplatnicaRacunViewModel
@{
    ViewBag.Title = "Index";
}
<link href="~/Content/styles.css" rel="stylesheet" />

<h1>Rad sa računom : @Model.Racun.Broj</h1>
<h2>Vlasnik racuna : @Model.Racun.Nosilac</h2>

<table border="1" class="table">
    <tr>
        <th>Transant</th>
        <th>Iznos uplate</th>
        <th>Datum prometa</th>
        <th>Svrha uplate</th>
        <th>Hitno</th>
        <th style="text-align:center" colspan="2"></th>
    </tr>

    @foreach (var item in Model.Uplatnice)
    {
        string hitno = "";
        if (item.Hitno == true)
        {
            hitno = "Da";
        }
        else
        {
            hitno = "Ne";
        }
        if (@item.IznosUplate > 0)
        {
            <tr style="background-color : forestgreen ">
                <td>@item.Uplatilac</td>
                <td>@item.IznosUplate</td>
                <td>@item.DatumUplate</td>
                <td>@item.SvrhaUplate</td>
                <td>@hitno</td>
                <td>@Html.ActionLink("Izmeni", "Edit", new { Id = item.Id })</td>
                <td>@Html.ActionLink("Obrisi", "Delete", new { Id = item.Id })</td>
            </tr>
        }
        else if (@item.IznosUplate < 0)
        {
            <tr style="background-color : red ">
                <td>@item.Uplatilac</td>
                <td>@item.IznosUplate</td>
                <td>@item.DatumUplate</td>
                <td>@item.SvrhaUplate</td>
                <td>@hitno</td>
                <td>@Html.ActionLink("Izmeni", "Edit", new { Id = item.Id })</td>
                <td>@Html.ActionLink("Obrisi", "Delete", new { Id = item.Id })</td>
            </tr>
        }
    }
</table>
<h3>Ukupno stanje: @Model.Racun.Ukupno</h3>

<a style="color: blue" href="">Prikazi samo uplate</a> | <a style="color: blue" href="">Prikazi samo isplate</a>
<hr />

@{
    if (Model.Racun.Aktivan == false)
    {
        <h3>Racun deaktiviran, nemoguce izvrsavanje novih transakcija !</h3><br>
        <a style="color: blue" href="~/Racun/Index">Povratak na glavnu stranicu</a>
    }
    else
    {
        <h1>Izvrsi novu transakciju: </h1>
        <br />
        using (Html.BeginForm("Create", "Uplatnica", FormMethod.Post))
        {
            <input type="hidden" name="Uplatnica.Racun.Id" value="@Model.Racun.Id" />
            <table>

                <tr>
                    <td>@Html.LabelFor(m => m.Uplatnica.Uplatilac)</td>
                    <td>@Html.TextBoxFor(m => m.Uplatnica.Uplatilac, new { @class = "form-control", @placeholder = "transant" })</td>
                    <td>@Html.ValidationMessageFor(m => m.Uplatnica.Uplatilac)</td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(m => m.Uplatnica.IznosUplate)</td>
                    <td>@Html.TextBoxFor(m => m.Uplatnica.IznosUplate, new { @class = "form-control", @placeholder = "iznos" })</td>
                    <td>@Html.ValidationMessageFor(m => m.Uplatnica.IznosUplate)</td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(m => m.Uplatnica.DatumUplate)</td>
                    <td>@Html.TextBoxFor(m => m.Uplatnica.DatumUplate, new { @class = "form-control", @placeholder = "дд.мм.гггг" })</td>
                    <td>@Html.ValidationMessageFor(m => m.Uplatnica.DatumUplate)</td>
                </tr>
                <tr>
                    <td>@Html.LabelFor(m => m.Uplatnica.SvrhaUplate)</td>
                    <td>@Html.TextBoxFor(m => m.Uplatnica.SvrhaUplate, new { @class = "form-control", @placeholder = "svrha" })</td>
                    <td>@Html.ValidationMessageFor(m => m.Uplatnica.SvrhaUplate)</td>
                </tr>
                <tr>
                    <td><input type="submit" value="Izvrsi transakciju" class="btn btn-default" /></td>
                    <td></td>
                </tr>
            </table>
        }
        <hr />
        <a style="color: blue" href="~/Racun/Index">Povratak na glavnu stranicu</a>

    }
}

